coco-java (20110419-5build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 14 Jan 2026 21:12:38 +0000

coco-java (20110419-5) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.2 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 7 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entries 20070906-2, 20050504-1,
    2004.10.11-1, 2004.06.28-1.
  * d/p/debian.patch, d/rules: Updated java_compat_level to fix build
    problem (Closes: #1053019).
  * Adjusted d/rules to also work with java-common before 0.75.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 31 May 2024 07:46:23 +0200

coco-java (20110419-4) unstable; urgency=medium

  * QA upload.
  * Convert to source format 3.0. (Closes: #1007341, #396539)
  * d/rules: Add binary-arch target. (Closes: #395586)

 -- Bastian Germann <bage@debian.org>  Sun, 06 Aug 2023 19:15:04 +0200

coco-java (20110419-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Invoke dh_strip_nondeterminism to make the build reproducible

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 10 Sep 2019 02:06:19 +0200

coco-java (20110419-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixed the build failure with Java 9 (Closes: #873973)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 08 Oct 2018 23:52:26 +0200

coco-java (20110419-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Transition package to use default java implementation":
    apply patch from Ubuntu / James Page:

    Transition package to use default java implementation:
    - d/control: BD on default-jdk only.

    (Closes: #683522)

 -- gregor herrmann <gregoa@debian.org>  Tue, 21 May 2013 21:25:37 +0200

coco-java (20110419-3) unstable; urgency=low

  * debian package cleanup

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Sat, 21 Jan 2012 19:53:00 +0100

coco-java (20110419-2) unstable; urgency=low

  * fixed startup shell script (Closes: #647243)

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Mon, 07 Nov 2011 11:12:02 +0100

coco-java (20110419-1) unstable; urgency=low

  * New upstream release
  * Frame files provided as command line argument take now precedence
    over frame files in the source directory of the attributed grammar.
  * The package can be set as a directive in the attributed
    grammar: $package=packageName
    if the package is set in the attributed grammar and on the command
    line, the command line argument takes precedence.
  * New option checkEOF: With the option checkEOF the user can specify
    whether the generated parser should check if the entire input has been
    consumed after parsing, i.e., if the token after the start symbol of
    the grammar is an end-of-file token. The user can enable or disable
    this check by the following directive in the attributed grammar:
    $checkEOF=true // enable the end of file check (default)
    $checkEOF=false // disable the end of file check
  * Support for UTF-8 input: The token stores the character position
    in Token.charPos.
  * Support for copyright sections in the generated files. If a
    file named Copyright.frame is provided, it will be included at
    the top of the generated scanner and parser.
  * Cleanup, removed the marker $$$ from the end of the frame files.
  * More robust scanner generation.
  * More robust UTF-8 handling in ParserGen.CopySourcePart and
    Scanner.GetString.
  * Simplified Coco.atg (using statements handled by ANY).
  * Minor change: Code cleanup.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Tue, 19 Apr 2011 16:21:52 +0200

coco-java (20090327-1) unstable; urgency=low

  * New upstream release
  * Support for pragmas which are part of terminal classes (thanks
    to Serge Voloshenyuk)
  * Support for the escape sequences vertical tab (\v) and audible bell (\a)
  * Minor change: Code cleanup

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Fri, 27 Mar 2009 13:18:05 +0100

coco-java (20081106-1) unstable; urgency=low

  * New upstream release.
  * Minor change: code cleanup.
  * Minor change: More robust Scanner, never assign Buffer.EOF to a char (which
                  results in an overflow, should do no harm).

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Mon, 10 Nov 2008 09:45:00 +0100

coco-java (20081001-3) unstable; urgency=low

  * Build with java 1.4 compatibility (Closes: 503771).

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Tue, 28 Oct 2008 11:15:00 +0100

coco-java (20081001-2) unstable; urgency=low

  * More robust clean target in make file.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Sat, 04 Oct 2008 10:05:00 +0100

coco-java (20081001-1) unstable; urgency=low

  * New upstream release
  * Bugfix: bug in the construction of the scanner automaton fixed.
  * Minor change: More robust Peek method is Scanner.
  * Minor change: Literal check is now handled by a hash-table-lookup instead
    of an if-else-if cascade.
  * Minor change: Allow underscores (_) in identifiers.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Tue, 23 Sep 2008 20:10:00 +0100

coco-java (20070906-2) unstable; urgency=low

  * Minor Bugfix: Allow buffer position to be set to the end of the file,
    this allows grammars without trailing new-line.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Mon, 10 Sep 2007 14:15:00 +0100

coco-java (20070906-1) unstable; urgency=low

  * Enhanced support for input streams: Previously we did support files via
    file names and file streams via input streams, but not non seek-able
    streams (e.g. network). Now we support both stream types. Please note
    since our memory buffer keeps the entire history of a stream, the maximum
    supported stream size is limited by the available memory and the runtime
    environment.
  * The possibility to set the output path with command line option "-o".
  * The main method returns 1 if the grammar contained an error.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Thu, 06 Sep 2007 15:15:00 +0100

coco-java (20061206-1) unstable; urgency=low

  * The declaration of standard whitespaces (namely space) is again done in
    the file Scanner.frame.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Wed, 06 Dec 2006 15:00:00 +0100

coco-java (20060919-2) unstable; urgency=low

  * Added binary-arch target in debian/rules (Closes: 395586).
  * It's now a non native package (Closes: 396539).

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Fri, 10 Nov 2006 14:21:58 +0100

coco-java (20060919-1) unstable; urgency=low

  * Misplaced resolvers cause warnings instead of errros now.
  * The scanners generated by Coco/R can now also process Unicode
    characters in UTF-8 format. This implies that Coco/R itself
    supports UTF-8 now.
  * Attributes may now also contain the characters '<' and '>'
    (e.g. for operators or generic types). Such attributes must
    be enclosed in <. and .> brackets.
  * Error messages are written to an error stream instead of to the console.
    The error stream can be changed by the user.
  * The scanner now also recognizes the Unicode byte order mark for UTF-8.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Tue, 19 Sep 2006 16:00:00 +0100

coco-java (20051117-1) unstable; urgency=low

  * The if else if cascade of an alternative does not get optimized to a
    switch statement anymore if the alternative contains a LL(1) warning,
    thus coco generates at least compileable code in such a situation.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Thu, 17 Nov 2005 17:00:00 +0100

coco-java (20050926-1) unstable; urgency=low

  * Constant declarations are generated for pragma names in the parser now
    (in case you want to access those names in semantic actions).

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Tue, 27 Sep 2005 19:18:00 +0100

coco-java (20050919-1) unstable; urgency=low

  * Bug fixed in Tab.cs. Coco reported a misplaced resolver if 2 alternatives
    at the end of a production were deletable and a resolver was placed
    in front of the first one.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Mon, 19 Sep 2005 16:00:00 +0100

coco-java (20050504-1) unstable; urgency=low

  * New Upstream release
  * Small bug in DFA fixed (EOF was not recognized correctly if ANY was used).
  * Coco/R as well as the generated compilers are reentrant now.
    That means that all fields and methods are non-static.
    Please look at the user manual to see how to create and
    initialize a scanner and a parser object in your compiler.
  * In addition to bracket comments (/* ... */), ATG files can also contain
    end of line comments now (// ... cr lf)
  * Corrected some package troubles. (Closes: #306622)

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Wed, 04 May 2005 16:00:00 +0100

coco-java (20050316-3) unstable; urgency=low

  * debian/control: For Build-Depends, unzip, kaffe, jikes, jikes-kaffe

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Tue, 29 Mar 2005 10:00:00 +0100

coco-java (20050316-2) unstable; urgency=low

  * Moved from Sun java to kaffe and jikes to become main compliant.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Tue, 29 Mar 2005 10:00:00 +0100

coco-java (20050316-1) unstable; urgency=low

  * Scanners can read arbitrariliy large files now (needed for
    parsing log files with several hundred megabytes).
  * Generated scanners are substantially faster than before (about 30%).

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Fri, 18 Mar 2005 13:00:00 +0100

coco-java (20050111-1) unstable; urgency=low

  * First upload to Debian unstable.
    Sponsor: Rene Mayrhofer <rmayr@debian.org>
  * Renamed to coco-java.
  * Lexical structures like '(' {char} ')' resulted in an endless loop in
    the scanner if char was defined as ANY - ')' and if the terminating ')'
    was missing in the input stream of the generated compiler.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Tue, 11 Jan 2005 18:00:00 +0100

cocosourcesjava (2004.10.27-1) unstable; urgency=low

  * If an expression in curly braces or square brackets is deletable
    (as in [[x]]) a new  LL(1) warning is printed: contents of [...]
    or {...} must not be deletable.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Wed, 27 Oct 2004 17:35:00 +0100

cocosourcesjava (2004.10.11-1) unstable; urgency=low

  * Blanks are specified as white space in the scanner frame now, so one can
    delete this if one doesn't want to ignore blanks.
    (Caution! Use the latests Coco.jar only with the latest Scanner.frame!)

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Mon, 11 Oct 2004 10:00:00 +0100

cocosourcesjava (2004.06.28-3) unstable; urgency=low

  * Bug fix in DFA.java and ParserGen.java, Path seperator "\\" changed to
    System.getProperty("file.seperator").

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Tue, 24 Aug 2004 13:50:00 +0100

cocosourcesjava (2004.06.28-2) unstable; urgency=low

  * Bug fix in DFA.java, buggy code was generated for CONTEXT phrases.
  * Bug fix in Coco.atg, invalid Token Factors and Terms caused Coco to crash.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Tue, 27 Jul 2004 10:09:00 +0100

cocosourcesjava (2004.06.28-1) unstable; urgency=low

  * New upstream release
  * Generation of case-insensitive compilers changed
    - keyword IGNORECASE instead of IGNORE CASE.
    - case is also ignored in tokens and character sets now.
    - User manual changed
  * The scanner uses '\u0100' instead of '\u0' as an end of file (eof)
    character now. This allowes \0 to be used in tokens (useful for parsing
    binary files).
  * Bug fix in the detection of tokens that cannot be distinguished.
  * IO routines changed from Java 1.0 to Java 1.1.
  * Various cleanups.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Sun, 06 Jun 2004 17:00:00 +0100

cocosourcesjava (2004.04.14-1) unstable; urgency=low

  * Method Tab.IgnoreCase added
  * The frames directory is not specified by the environment variable CRFRAMES
    any more but can be specified with the command line option -frames
  * Bug fix in Coco.java (incorrect handling of command line arguments)
  * Errors.errMsgFormat handled as in the C-Sharp version now (in Parser.java)
  * Bug fix in Sets.PrintSet (in Tab.java)
  * Fatal errors abort with System.exit(1) instead of System.exit(0) now

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Fri,  16 Apr 2004 12:35:00 +0100

cocosourcesjava (2004.04.06-2) unstable; urgency=low

  * changelog corrected
  * directory names to lower case

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Tue,  13 Apr 2004 18:35:00 +0100

cocosourcesjava (2004.04.06-1) unstable; urgency=low

  * New upstream release

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Wed,  07 Apr 2004 18:35:00 +0100
